Package ietf.params.xml.ns.icalendar_2

# Class RecurType

java.lang.Object
ietf.params.xml.ns.icalendar_2.RecurType

public class RecurType extends Object

Java class for RecurType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RecurType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="freq" type="{urn:ietf:params:xml:ns:icalendar-2.0}FreqRecurType"/>
             <sequence>
               <choice minOccurs="0">
                 <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}until"/>
                 <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}count"/>
               </choice>
             </sequence>
             <element name="interval" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="bysecond" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="byminute" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="byhour" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="byday" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="byyearday" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="bymonthday" type="{urn:ietf:params:xml:ns:icalendar-2.0}BymonthdayRecurType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="byweekno" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="bymonth" type="{urn:ietf:params:xml:ns:icalendar-2.0}BymonthRecurType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="bysetpos" type="{http://www.w3.org/2001/XMLSchema}integer" maxOccurs="unbounded" minOccurs="0"/>
             <element name="wkst" type="{urn:ietf:params:xml:ns:icalendar-2.0}WeekdayRecurType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<String>`
  `byday`
  `protected List<String>`
  `byhour`
  `protected List<String>`
  `byminute`
  `protected List<Integer>`
  `bymonth`
  `protected List<Integer>`
  `bymonthday`
  `protected List<String>`
  `bysecond`
  `protected List<BigInteger>`
  `bysetpos`
  `protected List<String>`
  `byweekno`
  `protected List<String>`
  `byyearday`
  `protected BigInteger`
  `count`
  `protected FreqRecurType`
  `freq`
  `protected String`
  `interval`
  `protected UntilRecurType`
  `until`
  `protected WeekdayRecurType`
  `wkst`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RecurType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getByday()`
  Gets the value of the byday property.
  `List<String>`
  `getByhour()`
  Gets the value of the byhour property.
  `List<String>`
  `getByminute()`
  Gets the value of the byminute property.
  `List<Integer>`
  `getBymonth()`
  Gets the value of the bymonth property.
  `List<Integer>`
  `getBymonthday()`
  Gets the value of the bymonthday property.
  `List<String>`
  `getBysecond()`
  Gets the value of the bysecond property.
  `List<BigInteger>`
  `getBysetpos()`
  Gets the value of the bysetpos property.
  `List<String>`
  `getByweekno()`
  Gets the value of the byweekno property.
  `List<String>`
  `getByyearday()`
  Gets the value of the byyearday property.
  `BigInteger`
  `getCount()`
  Gets the value of the count property.
  `FreqRecurType`
  `getFreq()`
  Gets the value of the freq property.
  `String`
  `getInterval()`
  Gets the value of the interval property.
  `UntilRecurType`
  `getUntil()`
  Gets the value of the until property.
  `WeekdayRecurType`
  `getWkst()`
  Gets the value of the wkst property.
  `void`
  `setCount(BigInteger value)`
  Sets the value of the count property.
  `void`
  `setFreq(FreqRecurType value)`
  Sets the value of the freq property.
  `void`
  `setInterval(String value)`
  Sets the value of the interval property.
  `void`
  `setUntil(UntilRecurType value)`
  Sets the value of the until property.
  `void`
  `setWkst(WeekdayRecurType value)`
  Sets the value of the wkst property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### freq

    protected FreqRecurType freq

  - ### until

    protected UntilRecurType until

  - ### count

    protected BigInteger count

  - ### interval

    protected String interval

  - ### bysecond

    protected List<String> bysecond

  - ### byminute

    protected List<String> byminute

  - ### byhour

    protected List<String> byhour

  - ### byday

    protected List<String> byday

  - ### byyearday

    protected List<String> byyearday

  - ### bymonthday

    protected List<Integer> bymonthday

  - ### byweekno

    protected List<String> byweekno

  - ### bymonth

    protected List<Integer> bymonth

  - ### bysetpos

    protected List<BigInteger> bysetpos

  - ### wkst

    protected WeekdayRecurType wkst

- ## Constructor Details

  - ### RecurType

    public RecurType()

- ## Method Details

  - ### getFreq

    public FreqRecurType getFreq()
    Gets the value of the freq property.
    Returns:
      possible object is `FreqRecurType`

  - ### setFreq

    public void setFreq(FreqRecurType value)
    Sets the value of the freq property.
    Parameters:
      `value` - allowed object is `FreqRecurType`

  - ### getUntil

    public UntilRecurType getUntil()
    Gets the value of the until property.
    Returns:
      possible object is `UntilRecurType`

  - ### setUntil

    public void setUntil(UntilRecurType value)
    Sets the value of the until property.
    Parameters:
      `value` - allowed object is `UntilRecurType`

  - ### getCount

    public BigInteger getCount()
    Gets the value of the count property.
    Returns:
      possible object is `BigInteger`

  - ### setCount

    public void setCount(BigInteger value)
    Sets the value of the count property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getInterval

    public String getInterval()
    Gets the value of the interval property.
    Returns:
      possible object is `String`

  - ### setInterval

    public void setInterval(String value)
    Sets the value of the interval property.
    Parameters:
      `value` - allowed object is `String`

  - ### getBysecond

    public List<String> getBysecond()
    Gets the value of the bysecond property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the bysecond property.

    For example, to add a new item, do as follows:

            getBysecond().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### getByminute

    public List<String> getByminute()
    Gets the value of the byminute property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the byminute property.

    For example, to add a new item, do as follows:

            getByminute().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### getByhour

    public List<String> getByhour()
    Gets the value of the byhour property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the byhour property.

    For example, to add a new item, do as follows:

            getByhour().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### getByday

    public List<String> getByday()
    Gets the value of the byday property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the byday property.

    For example, to add a new item, do as follows:

            getByday().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### getByyearday

    public List<String> getByyearday()
    Gets the value of the byyearday property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the byyearday property.

    For example, to add a new item, do as follows:

            getByyearday().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### getBymonthday

    public List<Integer> getBymonthday()
    Gets the value of the bymonthday property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the bymonthday property.

    For example, to add a new item, do as follows:

            getBymonthday().add(newItem);

    Objects of the following type(s) are allowed in the list `Integer`

  - ### getByweekno

    public List<String> getByweekno()
    Gets the value of the byweekno property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the byweekno property.

    For example, to add a new item, do as follows:

            getByweekno().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### getBymonth

    public List<Integer> getBymonth()
    Gets the value of the bymonth property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the bymonth property.

    For example, to add a new item, do as follows:

            getBymonth().add(newItem);

    Objects of the following type(s) are allowed in the list `Integer`

  - ### getBysetpos

    public List<BigInteger> getBysetpos()
    Gets the value of the bysetpos property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the bysetpos property.

    For example, to add a new item, do as follows:

            getBysetpos().add(newItem);

    Objects of the following type(s) are allowed in the list `BigInteger`

  - ### getWkst

    public WeekdayRecurType getWkst()
    Gets the value of the wkst property.
    Returns:
      possible object is `WeekdayRecurType`

  - ### setWkst

    public void setWkst(WeekdayRecurType value)
    Sets the value of the wkst property.
    Parameters:
      `value` - allowed object is `WeekdayRecurType`